Description

Similar to #1818, the names of the spectral models should probably also be revised to have a more coherent naming scheme. This
was done already for PowerLaw?2 that now becomes PowerLawPhotonFlux. Here an initial proposal, to be discussed of course:

)

Constant instead of ConstantValue

¢ PowerLaw remains

e PowerLawPhotonFlux instead of PowerLaw?2

e PowerLawEnergyFlux remains

e BrokenPowerLaw remains

ExponentialCutoffPowerLaw instead of ExpCutoff
ExponentiallnverseCutoffPowerLaw instead of ExpCutoff2
SuperExponentialCutoffPowerLaw instead of PLSuperExpCutoff
Gaussian remains

LogParabola remains

FileFunction remains

¢ NodeFunction remains

Of course, old names should be supported for legacy.

History

#1 - 07/20/2016 04:28 PM - Mayer Michael

LogParabola could also be a "CurvedPowerLaw" (which we use in HESS). It might be more meaningful but | have no strong opinion on that.

#2 - 07/22/2016 08:38 AM - Knddlseder Jiirgen

user#77 wrote:

LogParabola could also be a "CurvedPowerLaw" (which we use in HESS). It might be more meaningful but | have no strong opinion on that.

| think that a curved power law is something different (there is no log-term in the exponent, see
https://en.wikipedia.org/wiki/Power_law#Curved power law).

Log parabola is a well defined term, and also used for example in XSPEC (see
https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodell ogpar.html).

Which formula are you using in H.E.S.S.?
https://en.wikipedia.org/wiki/Power_law#Curved_power_law
https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelLogpar.html

#3 - 07/22/2016 09:54 AM - Knddlseder Jiirgen

Jean Ballet has proposed in an e-mail exchange to have the same name for example for all PowerLaw or exponential cutoff models, and to make the
distinction at the parameter level. | had thought also about this idea, but so far was hesitant because of the implementation issues (we so far have a
registry per name type).

One could maybe rearrange the classes with having a "master" class for a model in general, and then classes for each implementation of those. |
think we want to keep a class for each implementation to be able to construct a model in Python (or C++). Maybe a logical can be added to the
spectral registry that analyses the model parameters to dispatch to the correct spectral class? This is worth some thinking.

#4 - 07/22/2016 10:03 AM - Mayer Michael
- File CurvedPowerLaw.png added

| think that a curved power law is something different (there is no log-term in the exponent, see
https://en.wikipedia.org/wiki/Power_law#Curved power_law).

Interesting. | wasn't aware there is a definition on wikipedia. In HESS, we use the attached formula for the "CurvedPowerLaw" model. This is almost
the same as in the Fermi ST or in gammalib, however, yet with a another definition of the signs smile.png

HESS CurvedPowerLaw:

#5 - 07/22/2016 11:10 PM - Knddlseder Jiirgen
user#3 wrote:
Jean Ballet has proposed in an e-mail exchange to have the same name for example for all PowerLaw or exponential cutoff models, and to

make the distinction at the parameter level. | had thought also about this idea, but so far was hesitant because of the implementation issues (we
so far have a registry per name type).

One could maybe rearrange the classes with having a "master” class for a model in general, and then classes for each implementation of those.

| think we want to keep a class for each implementation to be able to construct a model in Python (or C++). Maybe a logical can be added to the
spectral registry that analyses the model parameters to dispatch to the correct spectral class? This is worth some thinking.

Extending on that: one possibility could be that the spectral model registry is extended to include in addition to the model type also the model
parameters. In that way the XML parser can allocate the appropriate class using the type and the parameters.
https://en.wikipedia.org/wiki/Power_law#Curved_power_law

#6 - 07/22/2016 11:35 PM - Knodlseder Jiirgen

So the new list of model names could be:

Type Classes

Constant GModelSpectralConst

PowerLaw GModelSpectralPlaw, GModelSpectralPlaw2
BrokenPowerLaw GModelSpectralBrokenPlaw

ExponentialCutoffPowerLaw

GModelSpectralExpPlaw, GModelSpectralExpInvPlaw

SuperExponentialCutoffPowerLaw

GModelSpectralSuperExpPlaw

Gaussian GModelSpectralGauss
LogParabola GModelSpectralLogParabola
FileFunction GModelSpectralFunc
NodeFunction GModelSpectralNodes

#7 - 07/23/2016 08:59 AM - Knddlseder Jiirgen

- Assigned To set to Knddlseder Jiirgen

- Target version set to 1.1.0

#8 - 07/24/2016 11:13 PM - Knodlseder Jiirgen

- Status changed from New to Closed

- % Done changed from 0 to 100

The revised model names have been implemented, merged into devel

Files

CurvedPowerlLaw.png 1.01 KB 07/22/2016 Mayer Michael

05/08/2024

3/3



http://www.tcpdf.org

